commit:     be5d8b19ab2423e9aa71a3e708d0e116822b42ac
Author:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
AuthorDate: Sat Oct 24 09:01:57 2015 +0000
Commit:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
CommitDate: Sat Oct 24 09:02:10 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=be5d8b19

dev-python/rospkg: Bump to 1.0.38.

Package-Manager: portage-2.2.23

 dev-python/rospkg/Manifest             |  1 +
 dev-python/rospkg/rospkg-1.0.38.ebuild | 56 ++++++++++++++++++++++++++++++++++
 2 files changed, 57 insertions(+)

diff --git a/dev-python/rospkg/Manifest b/dev-python/rospkg/Manifest
index 6400781..24e6a92 100644
--- a/dev-python/rospkg/Manifest
+++ b/dev-python/rospkg/Manifest
@@ -1,2 +1,3 @@
 DIST rospkg-1.0.35.tar.gz 88589 SHA256 
9ce13cb1d0f470f24cdb7f665d53948fcd0db19be7c8946ad998cbcf3998da30 SHA512 
01e59dc3eb8290af661dc54902da950649a81b3caa0b65ad7dba18c0c6d0ba1ed08bec802edbced49f65515f20f1b8db719bfb576eb38c87982386aac22a2e31
 WHIRLPOOL 
20ebafd588c6cf8598d155cdd6ec76a9f1b7ce1bb9f1a545159a75d4fe5c3621005ea5abb5b15080716439bdec91a943855a564014eee295999126caed5c34e3
 DIST rospkg-1.0.37.tar.gz 89332 SHA256 
733e9e30d30a1f293f2d2b07060d231746ce88f7cfecb076d466d9aece5a0a8a SHA512 
5e8e938831aac0c14b18d0f5063c8c8d50a2f13a4a15ce15955d854a840a8b46bab42d854b6d61d1e4e6bdef95f90e10008838d16b31e7d5b0d963b1c3c246d6
 WHIRLPOOL 
3d50c070197019b607e23a430affec8950539e0b32dd88f14e85027acea87435abebd8f58c4aeadd11cafee00d2faa26a3d9d88a0afb6efdc42dc0797642ef39
+DIST rospkg-1.0.38.tar.gz 89321 SHA256 
1a1567d3e33c3910518dbfbb09760c499153b1c0ad6b8ddc5045488c11db43e4 SHA512 
21cc9057a445b06db66b454e46c3ecdf8d83e54bbf4c204c63b13278dc93cdad60a80f4cab29eba7bc1811d43b406f91435499f7e58fa97814302dfb786f483e
 WHIRLPOOL 
109e8d5ddc3f432c28959b7e6f15703aa2d67cd3ee524e4964e5388a7982b6aea144e5afcf0d22add230e33beb485ade0656025b77f2b56be75d313aa1e52870

diff --git a/dev-python/rospkg/rospkg-1.0.38.ebuild 
b/dev-python/rospkg/rospkg-1.0.38.ebuild
new file mode 100644
index 0000000..06dd93b
--- /dev/null
+++ b/dev-python/rospkg/rospkg-1.0.38.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python{2_7,3_3,3_4} )
+
+SCM=""
+if [ "${PV#9999}" != "${PV}" ] ; then
+       SCM="git-r3"
+       EGIT_REPO_URI="http://github.com/ros-infrastructure/rospkg";
+fi
+
+inherit ${SCM} distutils-r1
+
+DESCRIPTION="Standalone Python library for the ROS package system"
+HOMEPAGE="http://wiki.ros.org/rospkg";
+if [ "${PV#9999}" != "${PV}" ] ; then
+       SRC_URI=""
+       KEYWORDS=""
+       # Needed for tests
+       S="${WORKDIR}/${PN}"
+       EGIT_CHECKOUT_DIR="${S}"
+else
+       SRC_URI="http://download.ros.org/downloads/${PN}/${P}.tar.gz
+               
http://github.com/ros-infrastructure/rospkg/archive/${PV}.tar.gz -> ${P}.tar.gz
+       "
+       KEYWORDS="~amd64 ~arm"
+fi
+
+LICENSE="BSD"
+SLOT="0"
+IUSE="test"
+
+RDEPEND="dev-python/pyyaml[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+       test? (
+               dev-python/nose[${PYTHON_USEDEP}]
+               dev-python/coverage[${PYTHON_USEDEP}]
+       )
+"
+PATCHES=(
+       "${FILESDIR}/norecurse.patch"
+)
+
+python_test() {
+       nosetests --with-coverage --cover-package=rospkg --with-xunit test || 
die
+}
+
+src_install() {
+       distutils-r1_src_install
+
+       # Avoid recursing into /usr/share when looking for packages.
+       dodir /usr/share
+       touch "${ED}/usr/share/rospack_norecurse"
+}

Reply via email to